WayloAIWaylo Docs
APIReferenceOrders

List orders

GET
/orders

Orders in one workspace, newest first, offset-paginated.

Access: workspace_viewer · API key orders:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
workspaceId*string
Formatuuid
status?string
Value in"draft""completed""abandoned"
agentId?string
Formatuuid
sessionId?string
Formatuuid
orderBy?string
Value in"status""agentId""agentName""sessionId""createdAt""updatedAt""completedAt"

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/orders?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459",    "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",    "agentName": "string",    "agentVersion": 0,    "isDraft": true,    "catalogId": "8c4666aa-d43d-4196-b78a-f94040b1db76",    "catalogName": "string",    "status": "draft",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z"  }]